# Uses of Record Class
net.shibboleth.idp.admin.impl.InstallableComponentGaugeSet.InstallableComponentDetails

Packages that use InstallableComponentGaugeSet.InstallableComponentDetails
Package
Description
net.shibboleth.idp.admin.impl
Implementation classes for administrative profiles.

## Uses of InstallableComponentGaugeSet.InstallableComponentDetails in net.shibboleth.idp.admin.impl

Methods in net.shibboleth.idp.admin.impl that return InstallableComponentGaugeSet.InstallableComponentDetails
Modifier and Type
Method
Description
`private InstallableComponentGaugeSet.InstallableComponentDetails`
InstallableComponentGaugeSet.`getIdPDetails()`
Return information about the Installation update state of the IdP.
Methods in net.shibboleth.idp.admin.impl that return types with arguments of type InstallableComponentGaugeSet.InstallableComponentDetails
Modifier and Type
Method
Description
`private Map<String,InstallableComponentGaugeSet.InstallableComponentDetails>`
InstallableComponentGaugeSet.`getPluginDetails()`
Get list of installed plugins and their details.